net.sf.jasperreports.components.sort

## Class SortElementUtils

- java.lang.Object
- - net.sf.jasperreports.components.sort.SortElementUtils

-     public class SortElementUtils
      extends java.lang.Object

  Version:
    $Id: SortElementUtils.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Narcis Marcu (narcism@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SortElementUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String[]` | `extractColumnInfo(java.lang.String sortColumn)`
    `static FilterTypesEnum` | `getFilterType(java.lang.Class<?> clazz)`
    `static SortOrderEnum` | `getSortOrder(java.lang.String sortOrder)`
    `static boolean` | `isValidSortData(java.lang.String sortData)`
    `static java.lang.String` | `packSortColumnInfo(java.lang.String columnName, java.lang.String columnType, java.lang.String sortOrder)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SortElementUtils

          public SortElementUtils()

  - ### Method Detail

    - #### extractColumnInfo

          public static java.lang.String[] extractColumnInfo(java.lang.String sortColumn)

    - #### packSortColumnInfo

          public static java.lang.String packSortColumnInfo(java.lang.String columnName,
                                            java.lang.String columnType,
                                            java.lang.String sortOrder)

    - #### isValidSortData

          public static boolean isValidSortData(java.lang.String sortData)

    - #### getSortOrder

          public static SortOrderEnum getSortOrder(java.lang.String sortOrder)

    - #### getFilterType

          public static FilterTypesEnum getFilterType(java.lang.Class<?> clazz)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com